%define name	opengroupware-theme
%define version 1.0
%define cvs     20040204
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org Themes
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL: http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Source:      opengroupware.org-theme-%{cvs}.tar.bz2
BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-libfoundation opengroupware-libfoundation-devel opengroupware-sope opengroupware-sope-devel opengroupware-env opengroupware-logic opengroupware-logic-devel opengroupware-webui-libs opengroupware-webui-common  opengroupware-webui-libs-devel 
BuildRequires: gcc-objc
Requires: opengroupware-gstep-make
BuildArch: noarch

%description
This package contains the OpenGroupware.org themes.

%package default-en
Summary:  The Opengroupware.org default theme (English)
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-en

%description default-en
The Opengroupware.org default theme (English)

%package default-da
Summary:  The Opengroupware.org default theme (Danish)
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-da

%description default-da
The Opengroupware.org default theme (Danish)


%package default-de
Summary:  The Opengroupware.org default theme (German)
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-de

%description default-de
The Opengroupware.org default theme (German)

%package default-es
Summary:  The Opengroupware.org default theme (Spanish)
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-es

%description default-es
The Opengroupware.org default theme (Spanish)

%package default-it
Summary:  The Opengroupware.org default theme (Italian)
Group:    Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-it

%description default-it
The Opengroupware.org default theme (Italian)

%package default-pl
Summary: The Opengroupware.org default theme (Polish)
Group:   Networking/Other
Requires: opengroupware-gstep-make
Requires: locales-pl

%description default-pl
The Opengroupware.org default theme (Polish)

%prep

%setup -q -n opengroupware.org-theme

%build

%install
rm -rf ${RPM_BUILD_ROOT}

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I

mkdir -p $I
cp -r WebServerResources $I

rm -f $I/WebServerResources/GNUmakefile \
   $I/WebServerResources/WOStats.xsl \
   $I/WebServerResources/menu.js
mkdir -p $I/WOApps/OpenGroupware.woa/WebServerResources/English.lproj
cp -r WebServerResources/English.lproj/* $I/WOApps/OpenGroupware.woa/WebServerResources/English.lproj
mkdir -p $I/WOApps/OpenGroupware.woa/WebServerResources/German.lproj
cp -r WebServerResources/German.lproj/* $I/WOApps/OpenGroupware.woa/WebServerResources/German.lproj
mkdir -p $I/WOApps/OpenGroupware.woa/WebServerResources/English_OOo.lproj
cp -r WebServerResources/English_OOo.lproj/* $I/WOApps/OpenGroupware.woa/WebServerResources/English_OOo.lproj
mkdir -p $I/WOApps/OpenGroupware.woa/WebServerResources/German_OOo.lproj
cp -r WebServerResources/German_OOo.lproj/* $I/WOApps/OpenGroupware.woa/WebServerResources/German_OOo.lproj

%clean
rm -rf $RPM_BUILD_ROOT


%files default-en
%defattr(-,root,root,-)
%doc ChangeLog COPYRIGHT
%{prefix}/WebServerResources/English.lproj
%{prefix}/WebServerResources/English_OOo.lproj
%{prefix}/WOApps/OpenGroupware.woa/WebServerResources/English.lproj
%{prefix}/WOApps/OpenGroupware.woa/WebServerResources/English_OOo.lproj

%files default-da
%defattr(-,root,root,-)
%{prefix}/WebServerResources/Danish.lproj

%files default-de
%defattr(-,root,root,-)
%{prefix}/WebServerResources/German.lproj
%{prefix}/WebServerResources/German_OOo.lproj
%{prefix}/WOApps/OpenGroupware.woa/WebServerResources/German.lproj
%{prefix}/WOApps/OpenGroupware.woa/WebServerResources/German_OOo.lproj

%files default-es
%defattr(-,root,root,-)
%{prefix}/WebServerResources/Spanish.lproj

%files default-it
%defattr(-,root,root,-)
%{prefix}/WebServerResources/Italian.lproj

%files default-pl
%defattr(-,root,root,-)
%{prefix}/WebServerResources/Polish.lproj/accept.gif


%changelog
* Wed Jan 11 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031201.1mdk
- new snapshot - bugfixes
- locales

* Mon Oct 27 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031001.2mdk
- copy images to WebServerResources to make them easier to use

* Mon Oct 6  2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031001.1mdk
- new snapshot
- specfile cleanup

* Wed Sep 17 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

